# dask.array.linalg.solve_triangular

dask.array.linalg.solve_triangular(a, b, lower=False)

  Solve the equation a x = b for x, assuming a is a triangular matrix.

  Parameters:
    a(M, M) array_like

      A triangular matrix

    b(M,) or (M, N) array_like

      Right-hand side matrix in a x = b

    lower bool, optional

      Use only data contained in the lower triangle of a. Default is to use upper triangle.

  Returns:
    x(M,) or (M, N) array

      Solution to the system a x = b. Shape of return matches b.